Page MenuHomePhabricator

Make sure that desktop version of the diffs did not change after the mobile version was introduced
Closed, ResolvedPublic2 Story Points

Event Timeline

Tobi_WMDE_SW triaged this task as Normal priority.May 2 2018, 2:27 PM
Tobi_WMDE_SW created this task.
jkroll closed this task as Resolved.May 3 2018, 2:12 PM
jkroll claimed this task.
Lea_WMDE reopened this task as Open.May 3 2018, 3:48 PM

@jkroll Opening this, as the findings still need product review. Could you add some info how I can test this here, or add a screenshot that shows it? Thanks!

@Lea_WMDE this can be tested by comparing the diffs on

https://wmde-wikidiff2-patched.wmflabs.org/core/ [1]
and
https://wmde-wikidiff2-mobile.wmflabs.org/core/ [2]

on both you could have a look at the same diff, once with the "desktop only wikidiff2"[1] and once with the "mobile enabled wikidiff2"[2]

For example the first item in the table of edge cases:

https://wmde-wikidiff2-patched.wmflabs.org/core/index.php?title=Portal%3AMecklenburg-Vorpommern%2FNeue_Artikel&type=revision&diff=84&oldid=83
https://wmde-wikidiff2-mobile.wmflabs.org/core/index.php?title=Portal%3AMecklenburg-Vorpommern%2FNeue_Artikel&type=revision&diff=84&oldid=83

( changing the -patched to -mobile should work for all diffs )

So the above examples tell us that we have reasonable output for desktop and mobile (yay!), but they don't really allow us to see if the desktop part changed to what we had before the mobile changes were introduced. We would have to look at the desktop output from before mobile changes were introduced and after.
However, I would also be ok with screenshots from the dev environment as I guess otherwise this is quite some more work.

sorry for the confusion of not realizing that I could test this with the "Desktop" link on mobile. So moving it to done!

Lea_WMDE closed this task as Resolved.May 16 2018, 10:29 AM
Vvjjkkii renamed this task from Make sure that desktop version of the diffs did not change after the mobile version was introduced to fsdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed jkroll as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from fsdaaaaaaa to Make sure that desktop version of the diffs did not change after the mobile version was introduced.Jul 2 2018, 2:11 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to jkroll.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot set the point value for this task to 2.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.